%define major 0
%define libname %mklibname mpg123_ %major
%define develname %mklibname -d mpg123

%define build_nas 0

Summary:	MPEG audio player
Name:		mpg123
Version:	1.14.4
Release:	%mkrel 4
License:	LGPLv2+
Group:		Sound/Players
URL:		http://www.mpg123.de
Source0:	http://mpg123.org/download/%{name}-%{version}.tar.bz2
Source1:	mp3license.tar.bz2
Patch1:		mpg123-1.14.4-automake-1.13.patch
BuildRequires:	libalsa-devel
BuildRequires:	libltdl-devel
BuildRequires:	libjack-devel
%if %build_nas
BuildRequires:	libnas-devel
%endif
BuildRequires:	libportaudio-devel
BuildRequires:	libpulseaudio-devel
BuildRequires:	libSDL-devel
BuildRequires:	openal-devel
BuildRequires:	zlib-devel

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package pulse
Group: Sound/Players
Summary: Pulse audio output plugin for mpg123
Requires: %{name} >= %{version}

%description pulse
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package jack
Group: Sound/Players
Summary: Jack audio output plugin for mpg123
Requires: %{name} >= %{version}

%description jack
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org


%package portaudio
Group: Sound/Players
Summary: Portaudio output plugin for mpg123
Requires: %{name} >= %{version}

%description portaudio
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%if %build_nas
%package nas
Group: Sound/Players
Summary: NAS audio output plugin for mpg123
Requires: %{name} >= %{version}

%description nas
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org
%endif

%package sdl
Group: Sound/Players
Summary: SDL audio output plugin for mpg123
Requires: %{name} >= %{version}

%description sdl
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package openal
Group: Sound/Players
Summary:OpenAL audio output plugin for mpg123
Requires: %{name} >= %{version}

%description openal
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package -n %{libname}
Group:System/Libraries
Summary: MPEG audio decoding library

%description -n %{libname}
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For full CD
quality playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono
and/or reduced quality playback (22 kHz or 11 kHz) is possible on slow
CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%package -n %{develname}
Group: Development/C
Summary: MPEG audio decoding library - development files
Requires: %{libname} = %{version}
Provides: libmpg123-devel = %{version}-%{release}

%description -n %{develname}
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For full CD
quality playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono
and/or reduced quality playback (22 kHz or 11 kHz) is possible on slow
CPUs (like Intel 486).

For information on the MP3 License, please visit:
http://www.mpeg.org

%prep
%setup -q -a 1
%patch1 -p1 -b .automake-1_13

rm -f doc/README.WIN32

%build
rm -f configure
libtoolize --force --copy --install; aclocal; autoheader; automake --add-missing --copy -f; autoconf

#gw this must be disabled for configure, else it will bail out
%define Werror_cflags %nil
%configure2_5x \
    --with-module-suffix=.so \
    --with-default-audio=alsa \
    --enable-ipv6=yes \
    --enable-network=yes

%make CFLAGS="%optflags -Wformat -Werror=format-security"

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete
# do not remove .la files for plugins

%files 
%doc doc/* NEWS README AUTHORS ChangeLog
%doc mp3license
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/output_alsa*
%{_libdir}/%{name}/output_dummy*
%{_libdir}/%{name}/output_oss*

%files pulse
%{_libdir}/%{name}/output_pulse*

%files jack
%{_libdir}/%{name}/output_jack*

%if %build_nas
%files nas
%{_libdir}/%{name}/output_nas*
%endif

%files portaudio
%{_libdir}/%{name}/output_portaudio*

%files sdl
%{_libdir}/%{name}/output_sdl*

%files openal
%{_libdir}/%{name}/output_openal*

%files -n %{libname}
%{_libdir}/libmpg123.so.%{major}*

%files -n %{develname}
%{_libdir}/libmpg123.so
%{_includedir}/mpg123.h
%{_libdir}/pkgconfig/libmpg123.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.14.4-4.mga3
+ Revision: 360424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.14.4-3.mga3
+ Revision: 339613
- patch1: fix build with automake 1.13

* Sat Dec 01 2012 malo <malo> 1.14.4-2.mga3
+ Revision: 324565
- spec clean-up

* Fri Jul 27 2012 fwang <fwang> 1.14.4-1.mga3
+ Revision: 274928
- new version 1.14.4

* Mon Jul 02 2012 luigiwalser <luigiwalser> 1.14.3-1.mga3
+ Revision: 266558
- 1.14.3

* Mon May 28 2012 obgr_seneca <obgr_seneca> 1.14.2-1.mga3
+ Revision: 248685
- new version

* Sun Apr 15 2012 luigiwalser <luigiwalser> 1.13.8-1.mga2
+ Revision: 230827
- 1.13.8

* Wed Mar 28 2012 luigiwalser <luigiwalser> 1.13.7-1.mga2
+ Revision: 227221
- 1.13.7

* Wed Mar 07 2012 luigiwalser <luigiwalser> 1.13.5-1.mga2
+ Revision: 220945
- 1.13.5

* Wed Dec 07 2011 fwang <fwang> 1.13.4-4.mga2
+ Revision: 178014
- use .so to detech modules

* Thu Nov 03 2011 blino <blino> 1.13.4-3.mga2
+ Revision: 162035
- do not remove plugins .la files, they are needed for plugins loading

* Thu Sep 22 2011 fwang <fwang> 1.13.4-2.mga2
+ Revision: 146658
- drop .la files

* Thu Sep 08 2011 tv <tv> 1.13.4-1.mga2
+ Revision: 141143
- new release

* Thu Jun 16 2011 tv <tv> 1.13.3-1.mga2
+ Revision: 108422
- new release

* Mon Jan 24 2011 ahmad <ahmad> 1.13.1-2.mga1
+ Revision: 37874
- drop esound-devel (phasing out esuond support from the distro)
- make building nas support optional and disable (does anyone use it?)
- imported package mpg123

